using System;
using System.IO;

internal sealed class Delegate676 : MulticastDelegate
{
	public extern object Invoke(object object_0, TextReader textReader_0);

	public static object smethod_0(object object_0, TextReader textReader_0, Delegate676 delegate676_1)
	{
		return delegate676_1(object_0, textReader_0);
	}

	public extern Delegate676(object object_0, IntPtr intptr_0);

	static Delegate676()
	{
		Class10.smethod_13(typeof(Delegate676).TypeHandle);
	}

	internal static Delegate676 delegate676_0;
}
